Permalink
Browse files

Merge pull request #412 from aew/master

Changes needed for compatibility with Ruby 2.0, Rails 4
  • Loading branch information...
2 parents 78e13c7 + acaf801 commit 3583f49814453082368fcd312491dc9cdd7b7e62 @NoamB committed Mar 5, 2013
Showing with 8 additions and 23 deletions.
  1. +3 −3 Gemfile
  2. +3 −18 Gemfile.lock
  3. +1 −1 lib/sorcery/model.rb
  4. +1 −1 spec/Gemfile
View
@@ -1,4 +1,4 @@
-source :rubygems
+source 'https://rubygems.org'
# Add dependencies required to use your gem here.
# Example:
# gem "activesupport", ">= 2.3.5"
@@ -11,10 +11,10 @@ gem 'bcrypt-ruby', "~> 3.0.0"
group :development do
gem 'abstract', '>= 1.0.0'
gem "rails", ">= 3.0.0"
- gem 'json', ">= 1.5.1"
+ gem 'json', ">= 1.7.7"
gem "rspec", "~> 2.5.0"
gem 'rspec-rails', "~> 2.5.0"
- gem 'ruby-debug19'
+ #gem 'ruby-debug19'
gem 'sqlite3-ruby', :require => 'sqlite3'
gem "yard", "~> 0.6.0"
gem "bundler", ">= 1.1.0"
View
@@ -1,5 +1,5 @@
GEM
- remote: http://rubygems.org/
+ remote: https://rubygems.org/
specs:
abstract (1.0.0)
actionmailer (3.2.2)
@@ -29,7 +29,6 @@ GEM
activesupport (3.2.2)
i18n (~> 0.6)
multi_json (~> 1.0)
- archive-tar-minitar (0.5.2)
arel (3.0.2)
bcrypt-ruby (3.0.1)
bson (1.6.1)
@@ -43,7 +42,6 @@ GEM
xpath (~> 0.1.4)
childprocess (0.3.1)
ffi (~> 1.0.6)
- columnize (0.3.6)
diff-lcs (1.1.3)
erubis (2.7.0)
faraday (0.8.4)
@@ -59,11 +57,9 @@ GEM
rake
rdoc
journey (1.0.3)
- json (1.6.6)
+ json (1.7.7)
jwt (0.1.5)
multi_json (>= 1.0)
- linecache19 (0.5.12)
- ruby_core_source (>= 0.1.4)
mail (2.4.4)
i18n (>= 0.4.0)
mime-types (~> 1.16)
@@ -130,16 +126,6 @@ GEM
activesupport (~> 3.0)
railties (~> 3.0)
rspec (~> 2.5.0)
- ruby-debug-base19 (0.11.25)
- columnize (>= 0.3.1)
- linecache19 (>= 0.5.11)
- ruby_core_source (>= 0.1.4)
- ruby-debug19 (0.11.6)
- columnize (>= 0.3.1)
- linecache19 (>= 0.5.11)
- ruby-debug-base19 (>= 0.11.19)
- ruby_core_source (0.1.5)
- archive-tar-minitar (>= 0.5.2)
rubyzip (0.9.6.1)
selenium-webdriver (2.20.0)
childprocess (>= 0.2.5)
@@ -177,15 +163,14 @@ DEPENDENCIES
bundler (>= 1.1.0)
capybara
jeweler (~> 1.8.3)
- json (>= 1.5.1)
+ json (>= 1.7.7)
mongo_mapper
mongoid (~> 2.4.4)
oauth (~> 0.4.4)
oauth2 (~> 0.8.0)
rails (>= 3.0.0)
rspec (~> 2.5.0)
rspec-rails (~> 2.5.0)
- ruby-debug19
simplecov (>= 0.3.8)
sqlite3-ruby
timecop
View
@@ -79,7 +79,7 @@ def init_mongo_mapper_support!
def init_orm_hooks!
self.class_eval do
attr_accessor @sorcery_config.password_attribute_name
- attr_protected @sorcery_config.crypted_password_attribute_name, @sorcery_config.salt_attribute_name
+ #attr_protected @sorcery_config.crypted_password_attribute_name, @sorcery_config.salt_attribute_name
before_save :encrypt_password, :if => Proc.new { |record|
record.send(sorcery_config.password_attribute_name).present?
}
View
@@ -1,4 +1,4 @@
-source 'http://rubygems.org'
+source 'https://rubygems.org'
gem "rails", '3.0.3'
gem 'bcrypt-ruby', :require => 'bcrypt'

0 comments on commit 3583f49

Please sign in to comment.